Resize load balancer
curl --request POST \
--url https://api.gcore.com/cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/resize \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"flavor": "lb1-2-4"
}
'import requests
url = "https://api.gcore.com/cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/resize"
payload = { "flavor": "lb1-2-4" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({flavor: 'lb1-2-4'})
};
fetch('https://api.gcore.com/cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/resize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Load Balancers
Resize load balancer
POST
/
cloud
/
v1
/
loadbalancers
/
{project_id}
/
{region_id}
/
{load_balancer_id}
/
resize
Resize load balancer
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
7
Load-Balancer ID
Example:
"ac307687-31a4-4a11-a949-6bea1b2878f5"
Body
application/json
Name of the desired flavor to resize to.
Examples:
"lb1-2-4"
"lb1-4-8"
Response
200 - application/json
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?
⌘I